
From: <gerg@snapgear.com>

Add type field to printk calls.  Patch original provided by kernel
janitors.


---

 25-akpm/arch/m68knommu/mm/fault.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/m68knommu/mm/fault.c~m68knommu-faultc-printk-cleanup arch/m68knommu/mm/fault.c
--- 25/arch/m68knommu/mm/fault.c~m68knommu-faultc-printk-cleanup	2004-04-07 20:28:09.270706424 -0700
+++ 25-akpm/arch/m68knommu/mm/fault.c	2004-04-07 20:28:09.273705968 -0700
@@ -36,7 +36,7 @@ asmlinkage int do_page_fault(struct pt_r
 			      unsigned long error_code)
 {
 #ifdef DEBUG
-	printk ("regs->sr=%#x, regs->pc=%#lx, address=%#lx, %ld\n",
+	printk (KERN_DEBUG "regs->sr=%#x, regs->pc=%#lx, address=%#lx, %ld\n",
 		regs->sr, regs->pc, address, error_code);
 #endif
 
@@ -48,7 +48,7 @@ asmlinkage int do_page_fault(struct pt_r
 		printk(KERN_ALERT "Unable to handle kernel NULL pointer dereference");
 	} else
 		printk(KERN_ALERT "Unable to handle kernel access");
-	printk(" at virtual address %08lx\n",address);
+	printk(KERN_ALERT " at virtual address %08lx\n",address);
 	die_if_kernel("Oops", regs, error_code);
 	do_exit(SIGKILL);
 

_
